Subject: Re: Modified files coming from v2.6.12 checkout

From: Shawn Pearce <[email-masked]>
Date: Wed, 15 Feb 2006 15:21:55 -0500

Gaaah.  This is was on MacOS X.  Whose filesystem isn't case
sensitive yet somehow tries to be.  If ipt_TOS.c and ipt_tos.c
both exist in the same directory I'm not surprised this works ok
for everyone else except me.  :-)

Fault found: A problem exists between the chair and the keyboard.
I'll switch to a Linux system to work with Linux kernel sources.

Sorry for the noise.

Shawn Pearce <[email-masked]> wrote:
> I'm trying to do a performance test suggested by Catalin. I cloned
> (what I thought to be) Linus public kernel tree[1] then locally
> cloned it again and tried to checkout a working directory of v2.6.12:
> 
>   $ git-clone [1]
>   $ git-clone -l -n linux-2.6 bigmergetest
>   $ cd bigmergetest
>   $ ls -a
>   .       ..      .git
>   $ git-update-ref HEAD $(git-rev-parse --verify v2.6.12^{commit})
>   $ git-read-tree HEAD
>   $ git-checkout-index -u -a
>   git-checkout-index: include/linux/netfilter_ipv4/ipt_connmark.h already exists
>   ...
>   git-checkout-index: net/ipv4/netfilter/ipt_tos.c already exists
>   git-checkout-index: net/ipv6/netfilter/ip6t_mark.c already exists
> 
> That can't be right.  Why do so many files already exist during
> an empty checkout? git-status is reporting these files as being
> modified.  If I commit these 'modified' files there's actually a
> rather large delta if I diff v2.6.12 and the new commit.
> 
> I've tried this both with git 1.1.4 and 1.2.0.  Same result.
> I've also tried it with both the v2.6.12 tag and the current HEAD.
> Same result just different files having the problem.
> 
> I just looked at the linux-2.6 directory which I cloned from [1];
> it appears to have the same problem but on a slightly different
> set of files than the v.2.6.12 clone:
> 
>   $ git-status | grep modified | wc -l
>        18
> 
> Thoughts?  Suggestions of where to start looking for a fault?
> Does the fault exist between the chair and the keyboard?
> 
> 
> [1] http://www.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git/

-- 
Shawn.